--- title: "Get SSO user assignment list" slug: "get-user-assignments" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-user-assignments" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get SSO user assignment list Available in Classic and VPC Get the list of assignments an SSO user belongs to. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/users/{userId}/assignments | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `userId` | String | Required | SSO user ID - See [Get SSO user list](/docs/en/get-users) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/users/569ba160-****-****-****-a37f023e774b/assignments' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | - | Page number | | `totalPages` | Number | - | Total number of pages | | `totalItems` | Number | - | Number of response results | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | Assignment list: [items](/docs/en/get-user-assignments#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignmentId` | String | - | Assignment ID | | `assignmentName` | String | - | Assignment name | | `description` | String | - | Assignment description | | `nrn` | String | - | NAVER Cloud Platform resource identification value for assignment | | `status` | String | - | Assignment status - `active` \| `suspended` - `active`: in use (enabled) - `suspended`: suspended (disabled) | | `iamRoleNrn` | String | - | NRN of the SSO role created in the Sub Account service - NAVER Cloud Platform resource identification value list for IAM role | | `consoleAccessAllowed` | Boolean | - | Whether to allow console access - `true` \| `false` - `true`: allow - `false`: not allow | | `consoleAccessRestricted` | Boolean | - | Whether to restrict console access - `true` \| `false` - `true`: restrict - `false`: not restrict | | `apiAccessAllowed` | Boolean | - | Whether to allow API Gateway access - `true` \| `false` - `true`: allow - `false`: not allow | | `apiAccessRestricted` | Boolean | - | Whether to restrict API Gateway access - `true` \| `false` - `true`: restrict - `false`: not restrict | | `createdAt` | String | - | Assignment creation date and time - ISO 8601 format | | `updatedAt` | String | - | Last assignment modification date and time - ISO 8601 format | | `accountMbrNo` | Number | - | Account member ID (MemberNo) | | `accountName` | String | - | Account username | | `permissionSetId` | String | - | Permission set ID | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page" : 0, "totalPages" : 1, "totalItems" : 1, "isFirst" : true, "isLast" : true, "hasPrevious" : false, "hasNext" : false, "items" : [ { "assignmentId" : "b246f5f8-****-****-****-6718f2135c68", "assignmentName" : "assignment001", "description" : "assignment001 description", "nrn" : "nrn:PUB:SSO::*******:Assignment/b246f5f8-****-****-****-6718f2135c68", "status" : "active", "iamRoleNrn" : "nrn:PUB:IAM::*******:Role/c3d649e0-****-****-****-005056a7ecf2", "consoleAccessAllowed" : true, "consoleAccessRestricted" : false, "apiAccessAllowed" : true, "apiAccessRestricted" : false, "createdAt" : "2025-01-20T07:25:46Z", "updatedAt" : "2025-01-20T07:41:56Z", "accountMbrNo" : *******, "accountName" : "Gildong Hong", "permissionSetId" : "63920339-****-****-****-aaf6c9ce927e" } ] } ```